Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST https://api.stophy.dev/v1/parse/upload-url \ -H "Authorization: Bearer $STOPHY_API_KEY" \ -H "Content-Type: application/json" \ -d '{"filename":"report.pdf","contentType":"application/pdf","declaredSizeBytes":1048576}'
{ "success": true, "uploadId": "upl_eb2b98551c724a6fa7c7c6c7bb61b227", "uploadUrl": "<uploadUrl>", "expiresAt": "2026-11-17T18:03:14.325Z", "uploadRef": "upl_eb2b98551c724a6fa7c7c6c7bb61b227", "maxBytes": 37748736, "costUsd": 0, "requestId": "28ed8ed2-ec50-440a-a427-9e4d68e1ccc4" }
Get an address to upload a large file to, for parse.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
1 - 255
1 - 200
1 <= x <= 37748736
200
Where to upload the file.
What this call cost, in dollars.
The same as uploadId.